Subject: Re: FVWM: Scrolling pages and focusing...

From: Dominik Vogt <[email-masked]>
Date: Sat, 10 Nov 2001 20:02:51 +0100

On Fri, Oct 26, 2001 at 03:44:54PM +0200, johannes karlsmyr wrote:
> 
> If i want to scroll +100000+0 and focus and raise the last focused window on
> that page, how do i do that. Right now i have a ugly function like this:
> 
> AddToFunc ScrollRight		
> +				"I" Scroll +100000+0
> +				"I" Next (CurrentPage !Iconic) Focus
> 
> but that doesn't work as satisfying as i want it too. Any other ideas?

I don't think there's currently an easy way to do this.  Fvwm only
keeps track of a focused window on any single desktop.  You could
try to write the WindowId of the focused window in a file when you
switch pages and parse that with a shell script via the PipeRead
command, but that requires a bit of shell programming.

But perhaps this approach works for you:  Instead of deviding your
desktopn into X by Y pages, use X by Y separate desktops.  You have
to replace the "Scroll" command with GotoDesk, e.g.

  *FvwmPagerColumns      X
  *FvwmPagerRows         Y
  FvwmPager 0 X*Y-1

  AddToFunc ScrollRight
  + I GotoDesk 1 0 X*Y-1
  AddToFunc ScrollLeft
  + I GotoDesk -1 0 X*Y-1
  AddToFunc ScrollUp
  + I GotoDesk Y 0 X*Y-1
  AddToFunc ScrollDown
  + I GotoDesk -Y 0 X*Y-1

(replace X, Y and X*Y-1 with the values you get when you insert
the actual number of rows/columns).

However, you can't move windows between the "fake" pages anymore.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].